Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 59074 - media-libs/libmovtar no use jpeg-mmx libs
Summary: media-libs/libmovtar no use jpeg-mmx libs
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo Media-video project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-01 08:04 UTC by INODE64 Sistemas
Modified: 2007-03-16 09:29 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix (libmovtar.patch,374 bytes, patch)
2004-09-23 00:18 UTC, INODE64 Sistemas
Details | Diff
te0 te1 te2 shiftmask fix (libmovtar-0.1.3-asm.diff,1.37 KB, patch)
2005-07-31 12:39 UTC, Michael Cramer
Details | Diff
ebuild for patch and jpeg-mmx include (libmovtar-0.1.3-r1.ebuild,1.08 KB, application/octet-stream)
2005-07-31 12:40 UTC, Michael Cramer
Details
libmovtar-0.1.3-r1.ebuild (libmovtar-0.1.3-r1.ebuild,1.09 KB, text/plain)
2005-08-20 15:26 UTC, Ed Catmur
Details
libmovtar-0.1.3-r1.ebuild.patch (libmovtar-0.1.3-r1.ebuild.patch,375 bytes, patch)
2005-12-19 23:05 UTC, Ed Catmur
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description INODE64 Sistemas 2004-08-01 08:04:52 UTC
If you use mmx , libmovtar not found jpeg-mmx

Reproducible: Always
Steps to Reproduce:
1.emerge libmovtar
2.
3.

Actual Results:  
checking for SDL - version >= 1.1.3... yes
Activating Intel MMX !
No JPEG-MMX lib found
checking for jpeg_start_compress in -ljpeg-mmx... no
checking for jpeg_start_compress in -ljpeg... yes


Expected Results:  
checking for SDL - version >= 1.1.3... yes
Activating Intel MMX !
No JPEG-MMX lib found
checking for jpeg_start_compress in -ljpeg-mmx... yes


this is the fix:
--- libmovtar-0.1.3-r1.ebuild.old       2004-08-01 16:51:35.000000000 +0200
+++ libmovtar-0.1.3-r1.ebuild   2004-08-01 16:49:25.000000000 +0200
@@ -30,9 +30,12 @@
 }

 src_compile() {
+       local myconf
+       use mmx \
+           && myconf="${myconf} --with-jpeg-mmx=/usr/include/jpeg-mmx"

        elibtoolize
-       econf || die
+       econf ${myconf} || die
        emake || die

 }
Comment 1 INODE64 Sistemas 2004-09-23 00:18:02 UTC
Created attachment 40198 [details, diff]
fix
Comment 2 Michael Cramer 2005-01-13 01:50:21 UTC
fix worked for me, should be in portage
Comment 3 Max Loparev 2005-04-24 09:58:12 UTC
i have a fix for gcc3.4 compilation with mmx, but couldn't attach it here
Comment 4 Max Loparev 2005-04-24 10:01:27 UTC
-static const int64 shiftmask = 0xffff; // shift right after the whole stuff
+static int64 shiftmask = 0xffff; // shift right after the whole stuff
 
 void calc_rgb16_params(struct SDL_PixelFormat *format)
 {
+  shiftmask = 0xffff;
   rb16mask = ((0xff >> format->Rloss) << (16 + format->Rloss)) 

Comment 5 Jakub Moc (RETIRED) gentoo-dev 2005-07-27 18:12:57 UTC
Re-assign a mis-assigned stale bug, please close if this no longer an issue.
Comment 6 Arne Flagge 2005-07-30 07:07:21 UTC
The attached patch works for me, except that there is now an additional econf
option --disable-dependency-tracking.
So the patch must be:

--- media-libs/libmovtar/libmovtar-0.1.3-r1.ebuild.orig	2004-07-14
22:36:57.000000000 +0200
+++ media-libs/libmovtar/libmovtar-0.1.3-r1.ebuild	2004-09-22 20:56:51.902986880
+0200
@@ -32,7 +32,10 @@
 src_compile() {
 	elibtoolize
-       econf --disable-dependency-tracking || die
-	emake || die
+	local myconf
+	use mmx \
+	    && myconf="--with-jpeg-mmx=/usr/include/jpeg-mmx"
+	econf ${myconf} --disable-dependency-tracking || die
 	emake || die
}

I tried to get the gcc3.4 patch to work, but the emerge fails with the following
error:
movtar_play.c:144: warning: integer constant is too large for "long" type
movtar_play.c:145: warning: integer constant is too large for "long" type
movtar_play.c:146: warning: integer constant is too large for "long" type
movtar_play.c:266: warning: integer constant is too large for "long" type
movtar_play.c:267: warning: integer constant is too large for "long" type
movtar_play.c:268: warning: integer constant is too large for "long" type
i686-pc-linux-gnu-gcc  -O2 -march=athlon-xp -DRTJPEG   -o movtar_play 
movtar_play.o -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread  -ljpeg
./libmovtar.a ./rtjpeg/RTjpeg.o -L/usr/lib -lglib
movtar_play.o: In function `ycc_rgb16_convert_mmx':
movtar_play.c:(.text+0x24a): undefined reference to `te0'
movtar_play.c:(.text+0x251): undefined reference to `te0'
movtar_play.c:(.text+0x26c): undefined reference to `te1'
movtar_play.c:(.text+0x273): undefined reference to `te2'
movtar_play.c:(.text+0x2c3): undefined reference to `te1'
movtar_play.c:(.text+0x2ca): undefined reference to `te2'
movtar_play.c:(.text+0x356): undefined reference to `shiftmask'
movtar_play.c:(.text+0x36a): undefined reference to `shiftmask'
collect2: ld returned 1 exit status
make[1]: *** [movtar_play] Error 1
make[1]: Leaving directory
`/var/tmp/portage/libmovtar-0.1.3-r1/work/libmovtar-0.1.3'
make: *** [all-recursive] Error 1

!!! ERROR: media-libs/libmovtar-0.1.3-r1 failed.
!!! Function src_compile, Line 37, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

I don`t know, if this a new error or I failed to apply the patch.

emerge info
Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r1,
2.6.12-gentoo-r4 i686)
=================================================================
System uname: 2.6.12-gentoo-r4 i686 AMD Athlon(tm) XP 2600+
Gentoo Base System version 1.6.13
dev-lang/python:     2.4.1-r1
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X aac alsa apm avi berkdb bitmap-fonts bzip2 crypt curl
dts dv dvb dvd dvdread emboss encode esd fam firefox foomaticdb fortran fping
gdbm gif gnome gtk gtk2 hal ieee1394 imlib jpeg libg++ libwww mad matroska
mikmod mjpeg mmx mmxext motif mp3 mpeg mplayer ncurses network nls nptl ogg
oggvorbis opengl oss pam pdflib perl pic png python quicktime rar readline real
sdl spell sse ssl subtitles symlink tcpd theora truetype truetype-fonts
type1-fonts v4l v4l2 vorbis win32codecs xml2 xmms xv xvid yv12 zlib userland_GNU
kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY
Comment 7 Damien Szczyt 2005-07-31 04:49:15 UTC
same failure here :

i686-pc-linux-gnu-gcc -DPACKAGE=\"libmovtar\" -DVERSION=\"0.1.3\"
-DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
-DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
-DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DRETSIGTYPE=void -DRESULTS=\"libmovtar.a\
movtar_split\ movtar_unify\ movtar_yuv422\ movtar_index\ movtar_setinfo\"  -I.
-I. -I/usr/include/glib-1.2 -I/usr/lib/glib/include  -Irtjpeg -I/usr/include/SDL
-D_REENTRANT    -Os -march=pentium4 -fomit-frame-pointer -pipe -DRTJPEG -c `test
-f movtar_play.c || echo './'`movtar_play.c
movtar_play.c:144: attention : constante enti
Comment 8 Damien Szczyt 2005-07-31 04:49:15 UTC
same failure here :

i686-pc-linux-gnu-gcc -DPACKAGE=\"libmovtar\" -DVERSION=\"0.1.3\"
-DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
-DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
-DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DRETSIGTYPE=void -DRESULTS=\"libmovtar.a\
movtar_split\ movtar_unify\ movtar_yuv422\ movtar_index\ movtar_setinfo\"  -I.
-I. -I/usr/include/glib-1.2 -I/usr/lib/glib/include  -Irtjpeg -I/usr/include/SDL
-D_REENTRANT    -Os -march=pentium4 -fomit-frame-pointer -pipe -DRTJPEG -c `test
-f movtar_play.c || echo './'`movtar_play.c
movtar_play.c:144: attention : constante entière trop grande pour le type « long »
movtar_play.c:145: attention : constante entière trop grande pour le type « long »
movtar_play.c:146: attention : constante entière trop grande pour le type « long »
movtar_play.c:266: attention : constante entière trop grande pour le type « long »
movtar_play.c:267: attention : constante entière trop grande pour le type « long »
movtar_play.c:268: attention : constante entière trop grande pour le type « long »
i686-pc-linux-gnu-gcc  -Os -march=pentium4 -fomit-frame-pointer -pipe -DRTJPEG 
 -o movtar_play  movtar_play.o -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread 
-ljpeg ./libmovtar.a ./rtjpeg/RTjpeg.o -L/usr/lib -lglib
movtar_play.o: In function `ycc_rgb16_convert_mmx':
movtar_play.c:(.text+0x219): undefined reference to `te0'
movtar_play.c:(.text+0x220): undefined reference to `te0'
movtar_play.c:(.text+0x23b): undefined reference to `te1'
movtar_play.c:(.text+0x242): undefined reference to `te2'
movtar_play.c:(.text+0x292): undefined reference to `te1'
movtar_play.c:(.text+0x299): undefined reference to `te2'
movtar_play.c:(.text+0x325): undefined reference to `shiftmask'
movtar_play.c:(.text+0x339): undefined reference to `shiftmask'
collect2: ld a retourné 1 code d'état d'exécution
make[1]: *** [movtar_play] Erreur 1
make[1]: Leaving directory
`/var/tmp/portage/libmovtar-0.1.3-r1/work/libmovtar-0.1.3'
make: *** [all-recursive] Erreur 1

!!! ERROR: media-libs/libmovtar-0.1.3-r1 failed.
!!! Function src_compile, Line 37, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

emerge info:

Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r1,
2.6.11-gentoo-r3 i686)
=================================================================
System uname: 2.6.11-gentoo-r3 i686 Mobile Intel(R) Pentium(R) 4     CPU 2.80GHz
Gentoo Base System version 1.6.13
dev-lang/python:     2.3.4-r1, 2.4.1-r1
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=pentium4 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-Os -march=pentium4 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://194.117.143.70 http://194.117.143.71
http://194.117.143.69 http://194.117.143.72 ftp://194.117.143.69/mirrors/gentoo"
LANG="fr_FR@euro"
LC_ALL="fr_FR@euro"
LINGUAS="fr fr_FR"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 S3TC X aac aalib acpi ada aim aimextras alsa amarok amuled apache2 apm
aqua_theme arts artworkextra async avi bash-completion berkdb bidi bitmap-fonts
bl blender-game bluetooth bonobo browserplugin buffysize buttons bzip2 c++ cairo
cardbus cdinstall cdparanoia cdr cdrom cpudetection crosscompile crypt cups curl
dbus dga dhcp disablexmb disk-cache divx4linux dpms dts dvb dvd dvdr dvdread edl
effects emacs emacs-w3 emboss emoticon encode esd ethereal ext-png ext-zlib
extensions extraengine extramodules extras fam fat fbcon fbdev fbsplash ffmpeg
firefox font-server foomaticdb fortran freetds freetype gcj gd gdbm gg gif gimp
gimpprint gkrellm gmail gnome gpm gtk gtk2 gtkhtml hal icq image imagemagick
imap imlib inkjar ipv6 jasper java javascript jpeg jpeg2k junit kcal kde kdepim
kdgraphics latex lcd lcms ldap libcaca libg++ libgd libgda libvisual libwww
linuxkeys live logitech-mouse lzo lzw mad matroska mbox menubar mikmod mjpeg mmx
mmxext mng motif mozdevelop mozilla mozsvg mozxmlterm mp3 mpeg mpeg2 mpeg4
mplayer msn msnextras mule multi-tty mysql mythtv ncurses network nls nntp nptl
nsplugin nvidia ogg oggvorbis opengl oss pam pcmcia pdflib perl php plugin png
posix postgres ppds python qemu-fast qt quicktime rar rdesktop readline real
reiserfs rss rtc samba sasl scanner screen sdl skey slang snmp spamassassin
spell sql sqlite sqlite3 sse sse-filters sse2 ssl subject-rewrite subversion svg
svga symlink sysfs szip tcltk tcpd tga theora tiff truetype truetype-fonts
type1-fonts usb userlocales v4l v4l2 vfat videos vidix vim vim-pager vim-with-x
visualization vorbis wifi win32codecs winbind wmf xanim xchatdccserver xchattext
xine xinerama xml2 xmlrpc xmms xosd xv xvid xvmc yahoo zlib linguas_fr
linguas_fr_FR userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LDFLAGS, MAKEOPTS
Comment 9 Ryan Bair 2005-07-31 05:58:09 UTC
Same problem here too... just incase you needed anymore confirmation of it. 
I also tried changing my CFLAGS around a bit, but to no avail.  Maybe I'll poke 
at it later today and see if I can't find a fix. 
 
Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r1, 
2.6.12-suspend2-r3 i686) 
================================================================= 
System uname: 2.6.12-suspend2-r3 i686 Intel(R) Pentium(R) 4 Mobile CPU 1.60GHz 
Gentoo Base System version 1.6.13 
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) 
[disabled] 
ccache version 2.3 [disabled] 
dev-lang/python:     2.3.5 
sys-apps/sandbox:    1.2.11 
sys-devel/autoconf:  2.13, 2.59-r6 
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5 
sys-devel/binutils:  2.15.92.0.2-r10 
sys-devel/libtool:   1.5.18-r1 
virtual/os-headers:  2.6.11-r2 
ACCEPT_KEYWORDS="x86" 
AUTOCLEAN="yes" 
CBUILD="i686-pc-linux-gnu" 
CFLAGS="-O2 -march=pentium4 -ffast-math -pipe -fomit-frame-pointer" 
CHOST="i686-pc-linux-gnu" 
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control" 
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d" 
CXXFLAGS="-O2 -march=pentium4 -ffast-math -pipe -fomit-frame-pointer" 
DISTDIR="/usr/portage/distfiles" 
FEATURES="autoconfig distlocks sandbox sfperms strict" 
GENTOO_MIRRORS="http://mirrors.tds.net/gentoo" 
MAKEOPTS="-j3" 
PKGDIR="/usr/portage/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR="/usr/portage" 
PORTDIR_OVERLAY="/usr/local/portage" 
SYNC="rsync://rsync.gentoo.org/gentoo-portage" 
USE="X acpi aim alsa apm avi berkdb bitmap-fonts cairo cdr crypt cups directfb 
divx4linux dmx dvd emboss encode fam flac foomaticdb fortran gd gdbm gif glitz 
gpm gtk gtk2 hal imlib imlibjpeg ipv6 jack java jpeg kde kdeenablefinal libg++ 
libwww mad mikmod mmx mono motif mp3 mpeg msn mysql ncurses nfs nls nptl 
nptlonly ogg oggvorbis openal opengl oscar oss pam pdflib perl php png python 
qt quicktime readline sdl spell sse sse2 ssl tcpd threads tiff truetype 
truetype-fonts type1-fonts usb videos vorbis win32codecs x86 xine xinerama xml2 
xmms xv zlib userland_GNU kernel_linux elibc_glibc" 
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS 
Comment 10 Michael Cramer 2005-07-31 12:39:30 UTC
Created attachment 64808 [details, diff]
te0 te1 te2 shiftmask fix
Comment 11 Michael Cramer 2005-07-31 12:40:18 UTC
Created attachment 64809 [details]
ebuild for patch and jpeg-mmx include
Comment 12 Arne Flagge 2005-07-31 13:42:19 UTC
Great. Works for me. Thanks
Comment 13 Marc Reginbogin 2005-08-04 09:41:12 UTC
I had the same problem for a few minutes.

The new ebuild with the patch works for me too.

Thanks
Comment 14 Ed Catmur 2005-08-20 15:26:47 UTC
Created attachment 66437 [details]
libmovtar-0.1.3-r1.ebuild

Confirmed here.

Re comment 10: please attach ebuilds as text/plain.
Comment 15 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-12-17 17:29:17 UTC
Can you submit an unified diff between the original and the modified ebuild? Thanks.
Comment 16 Ed Catmur 2005-12-19 23:05:13 UTC
Created attachment 75171 [details, diff]
libmovtar-0.1.3-r1.ebuild.patch
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2006-08-20 05:38:19 UTC
Hmmmm...
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2006-11-03 08:50:49 UTC
@blubb - you've been the last one to touch mmx there, maybe you'd be interested in fixing it properly :)
Comment 19 Simon Stelling (RETIRED) gentoo-dev 2006-11-03 09:08:04 UTC
I'm afraid not. Only thing I did was

-       x86? ( mmx? ( media-libs/jpeg-mmx ) )"
+       mmx? ( media-libs/jpeg-mmx )"

which was really only a amd64-specific change while the asm is x86, so I don't even have the means to test it. I'd rather leave this up to the video herd.
Comment 20 SpanKY gentoo-dev 2006-11-04 23:24:54 UTC
jpeg-mmx is dead